org.apache.jmeter.gui.action

## Class SchematicView

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.SchematicView

- All Implemented Interfaces:
    Command, MenuCreator

      public class SchematicView
      extends AbstractAction
      implements MenuCreator

  Schematic view of Test Plan
  Since:
    5.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SchematicView.SchematicViewGenerator`

    - ### Nested classes/interfaces inherited from interface org.apache.jmeter.gui.plugin.MenuCreator

      `MenuCreator.MENU_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchematicView()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAction(ActionEvent e)`
    `Set<String>` | `getActionNames()`
    `JMenuItem[]` | `getMenuItemsAtLocation(MenuCreator.MENU_LOCATION location)` MenuItems to be added in location menu
    `JMenu[]` | `getTopLevelMenus()`
    `void` | `localeChanged()` Update Top Level menu on Locale Change
    `boolean` | `localeChanged(MenuElement menu)`

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchematicView

          public SchematicView()

  - ### Method Detail

    - #### doAction

          public void doAction(ActionEvent e)

      Specified by:
        `doAction` in interface `Command`
      Overrides:
        `doAction` in class `AbstractAction`
      See Also:
        `Command.doAction(ActionEvent)`

    - #### getActionNames

          public Set<String> getActionNames()

      Specified by:
        `getActionNames` in interface `Command`
      See Also:
        `Command.getActionNames()`

    - #### getMenuItemsAtLocation

          public JMenuItem[] getMenuItemsAtLocation(MenuCreator.MENU_LOCATION location)

      Description copied from interface: `MenuCreator`
      MenuItems to be added in location menu
      Specified by:
        `getMenuItemsAtLocation` in interface `MenuCreator`
      Parameters:
        `location` - in top menu
      Returns:
        array of `JMenuItem`

    - #### getTopLevelMenus

          public JMenu[] getTopLevelMenus()

      Specified by:
        `getTopLevelMenus` in interface `MenuCreator`
      Returns:
        array of JMenu to be put as top level menu between Options and Help

    - #### localeChanged

          public boolean localeChanged(MenuElement menu)

      Specified by:
        `localeChanged` in interface `MenuCreator`
      Parameters:
        `menu` - MenuElement
      Returns:
        true if menu was concerned by Locale change

    - #### localeChanged

          public void localeChanged()

      Description copied from interface: `MenuCreator`
      Update Top Level menu on Locale Change
      Specified by:
        `localeChanged` in interface `MenuCreator`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.